# Class CIM_RegisteredSubProfile
extends CIM_RegisteredProfile

A RegisteredSubProfile subclasses RegisteredProfile to indicate that a scoping profile is required to provide context. The latter is specified by the mandatory association, SubProfileRequiresProfile.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_RegisteredSpecification
|
+--CIM_RegisteredProfile
|
+--CIM_RegisteredSubProfile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_RegisteredProfile
Description | string | A RegisteredSubProfile subclasses RegisteredProfile to indicate that a scoping profile is required to provide context. The latter is specified by the mandatory association, SubProfileRequiresProfile.
UMLPackagePath | string | CIM::Interop
Version | string | 2.37.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_RegisteredSpecification
OtherRegisteredOrganization | string | CIM_RegisteredSpecification
OtherSpecificationType | string | CIM_RegisteredSpecification
RegisteredName | string | CIM_RegisteredSpecification
RegisteredOrganization | uint16 | CIM_RegisteredSpecification
RegisteredVersion | string | CIM_RegisteredSpecification
SpecificationType | uint16 | CIM_RegisteredProfile
AdvertiseTypeDescriptions | string[] | CIM_RegisteredSpecification
AdvertiseTypes | uint16[] | CIM_RegisteredSpecification
ImplementedFeatures | string[] | CIM_RegisteredProfile

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
CloseConformantInstances | uint32 | CIM_RegisteredProfile
GetCentralInstances | uint8 | CIM_RegisteredProfile
OpenConformantInstances | uint32 | CIM_RegisteredProfile
PullConformantInstances | uint32 | CIM_RegisteredProfile